package com.jasamedika.medifirst2000.vo;

import java.util.Date;
import java.util.HashSet;
import java.util.Set;
import javax.persistence.*;

import com.jasamedika.medifirst2000.base.vo.BaseTransactionVO;
import com.jasamedika.medifirst2000.entities.AsalProduk;
import com.fasterxml.jackson.annotation.JsonBackReference;
import javax.validation.constraints.NotNull;
import com.jasamedika.medifirst2000.helper.Caption;

/**
 * class OrderProdukVOVO
 * 
 * @author Generator
 */
public class KirimProdukVO extends MedicalRecordTransactionVO {

	@ManyToOne
	@JoinColumn(name = "ObjectAsalProdukFk")
	@Caption(value="Object Asal Produk")
	private AsalProdukVO asalProduk;
	public AsalProdukVO getAsalProduk() {
		return asalProduk;
	}

	public void setAsalProduk(AsalProdukVO asalProduk) {
		this.asalProduk = asalProduk;
	}
	@ManyToOne
	@JoinColumn(name = "ObjectProdukFk")
	@Caption(value = "Object Produk")
	private ProdukVO produk;

	public ProdukVO getProduk() {
		return produk;
	}
	@ManyToOne
	@Caption(value = "Object Satuan Besar")
	private SatuanStandarVO satuanStandar;

	@Caption(value = "Qty Produk")
	@Column(name = "QtyProduk", nullable = false)
	private Double qtyProduk;
	
	@Caption(value = "qty Produk Konfirmasi")
	@Column(name = "qtyProdukKonfirmasi", nullable = false)
	private Double qtyProdukKonfirmasi;
	
	@Caption(value = "keterangan")
	private String keterangan;
	
	@Caption(value = "Qty Produk")
	@Column(name = "QtyProduk", nullable = false)
	private Double qtyOrder;
	
	public Double getQtyProduk() {
		return qtyProduk;
	}

	public Double getQtyOrder() {
		return qtyOrder;
	}

	public void setQtyOrder(Double qtyOrder) {
		this.qtyOrder = qtyOrder;
	}

	public void setQtyProduk(Double qtyProduk) {
		this.qtyProduk = qtyProduk;
	}

	public SatuanStandarVO getSatuanStandar() {
		return satuanStandar;
	}

	public void setSatuanStandar(SatuanStandarVO satuanStandar) {
		this.satuanStandar = satuanStandar;
	}

	public void setProduk(ProdukVO produk) {
		this.produk = produk;
	}
	private Set<OrderPelayananVO> orderTindakan = new HashSet<OrderPelayananVO>();

	public Set<OrderPelayananVO> getOrderTindakan() {
		return orderTindakan;
	}

	public void setOrderTindakan(Set<OrderPelayananVO> orderTindakan) {
		this.orderTindakan = orderTindakan;
	}
	private StrukOrderVO strukOrder;

	public StrukOrderVO getStrukOrder() {
		return strukOrder;
	}

	public void setStrukOrder(StrukOrderVO strukOrder) {
		this.strukOrder = strukOrder;
	}
	
	private StrukKirimVO strukKirim;

	public StrukKirimVO getStrukKirim() {
		return strukKirim;
	}

	public void setStrukKirim(StrukKirimVO strukKirim) {
		this.strukKirim = strukKirim;
	}

	public Double getQtyProdukKonfirmasi() {
		return qtyProdukKonfirmasi;
	}

	public void setQtyProdukKonfirmasi(Double qtyProdukKonfirmasi) {
		this.qtyProdukKonfirmasi = qtyProdukKonfirmasi;
	}

	public String getKeterangan() {
		return keterangan;
	}

	public void setKeterangan(String keterangan) {
		this.keterangan = keterangan;
	}

	
}
